Множественные уязвимости в Easy Scripts Answer and Question Script

Дата публикации:
26.05.2009
Дата изменения:
26.05.2009
Всего просмотров:
2152
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2009-1663
CVE-2009-1664
CVE-2009-1665
CVE-2009-1654
CVE-2009-1655
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Easy Scripts Answer and Question Script
Уязвимые версии: Easy Scripts Answer and Question Script

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и обойти некоторые ограничения безопасности.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "questionid" в сценарии questiondetail.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "userid" в сценарии myaccount.php перед загрузкой учетной записи пользователя. Удаленный пользователь может указать идентификатор учетной записи и изменить личные данные других пользователей.

URL производителя: easy-scripts.net/132/answer_and_question_script.html

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://milw0rm.com/exploits/8690

или введите имя

CAPTCHA